package ru.dbotthepony.kstarbound.client.network.packets

import ru.dbotthepony.kommons.io.readUUID
import ru.dbotthepony.kommons.io.writeUUID
import ru.dbotthepony.kstarbound.client.ClientConnection
import ru.dbotthepony.kstarbound.network.IClientPacket
import java.io.DataInputStream
import java.io.DataOutputStream
import java.util.UUID

class ForgetEntityPacket(val uuid: UUID) : IClientPacket {
	constructor(buff: DataInputStream, isLegacy: Boolean) : this(buff.readUUID())

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		stream.writeUUID(uuid)
	}

	override fun play(connection: ClientConnection) {
		val world = connection.client.world ?: return
	}
}
